﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PAtt_Net45_Csharp_example
{
    class Program
    {
        static void Main(string[] args)
        {
            var SW1 = new mcl_RF_Switch_Controller_NET45.USB_RF_SwitchBox ();
            string RetStr = "";
            string SndStr = "";
            string SN = "";
            int x = 0;
            x = SW1.Connect(ref SN);
            SndStr = ":SN?"; SW1.Send_SCPI(ref SndStr, ref RetStr);  // read Serial Number
            SndStr = ":MN?"; SW1.Send_SCPI(ref SndStr, ref RetStr);   // read Model Number
            SndStr = "SETA=1"; SW1.Send_SCPI(ref SndStr, ref RetStr);  // Energize Switch A 
            SndStr = "SETB=1"; SW1.Send_SCPI(ref SndStr, ref RetStr);  // Energize Switch B 

            SndStr = "SWPORT?"; SW1.Send_SCPI(ref SndStr, ref RetStr);  // Get Switch Port Value. 0:none;1:portA;2:PortB;3Port A,B....

            SndStr = "SETA=0"; SW1.Send_SCPI(ref SndStr, ref RetStr);   // de-Energize Switch A
            SndStr = "SETB=0"; SW1.Send_SCPI(ref SndStr, ref RetStr);   // de-Energize Switch B

            // Other SCPI commands- SP4TA:STATE:1 [2,3,4,0] ; SP4TA:STATE? ; SP6TA:STATE:1[2,3,4,5,6,0] ; SP6TA:STATE? etc...
            SW1.Disconnect();
        }

    }
}

